This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 684977 - section specification not honoured correctly
section specification not honoured correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-14 17:54 EDT by Miloslav Trmač
Modified: 2011-03-23 09:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-23 09:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2011-03-14 17:54:55 EDT
Version-Release number of selected component (if applicable):
man-db-2.5.7-7.fc14.x86_64

Steps to Reproduce:
1. $ ls /usr/share/man/man3*/open.*
> /usr/share/man/man3/open.3pm.gz  /usr/share/man/man3p/open.3p.gz
2. $ man 3p open
  
Actual results:
open(3pm) opens

Expected results:
open(3p) opens
Comment 1 Colin Watson 2011-03-15 06:53:42 EDT
Thanks for your report.  I've fixed this upstream for man-db 2.6.0:

Tue Mar 15 10:52:58 GMT 2011  Colin Watson  <cjwatson@debian.org>

        * src/man.c (compare_candidates): If the user asked for an explicit
          section, sort exact matches first (Fedora bug #684977).
        * src/tests/man-3: New file.
        * src/tests/Makefile.am (ALL_TESTS): Add man-3.
        * NEWS: Document this.
Comment 2 Ivana Varekova 2011-03-23 09:52:25 EDT
Thanks, backported to man-db-2.5.9-5.fc16.

Note You need to log in before you can comment on or make changes to this bug.